Google AdSense

Sunset Edition
This update of the plugin is the last publicly released version. We do not expect to make any serious changes or add new features to it from now on.

We may not always be able to provide prompt support for this plugin on the WordPress.org forums. If you would like to have professional support or extra/custom features, isaalang-alang ang pagbili ng mga Ultra version

Ads EZ Plugin for Google AdSense provides a streamlined interface to deploy Google ads on your blog. You can customize the colors, sizes and placement of the ad blocks and activate them right from the plugin interface.The admin interface uses a highly functional and modern interface based on the twitter bootstrap framework with generous, context-sensitive help on every single option.

Live Demo

Google AdSense admin interface is feature-rich, user-friendly and functional. Please visit this fully operational live demo site to see what it can do for you.

Ads EZ Plugin for Google AdSense is a specialized version of Google AdSense Ultra, which lets you manage in basic, standard and expert modes, all in a beautifully designed modern interface.

Mga Tampok

  • Rich display at mga pagpipilian sa pagkakahanay.
  • Kontrol sa pagpoposisyon at pagpapakita ng mga bloke ng ad sa bawat post o pahina.
  • Customized Google interface with color pickers.
  • Mga Widget para sa iyong sidebar.
  • Maganda dinisenyo, ganap na tumutugon, madaling gamitin na interface.
  • Inline pag-edit at instant pag-save ng iyong mga opsyon sa AJAX (wala nang form na isumite / i-refresh ang iba pa)
  • An interface tour to familiarize yourself with the plugin features and layout.
  • Popover help for every option in the plugin.
  • Ability to spawn the plugin interface as a separate tab/window independent of the WordPress admin interface.
  • Malakas codebase at pagpipilian / object modelo.

Bersyon Pro

Ads EZ Plugin for Google AdSense is the freely distributed version of a premium plugin. Ang Ultra version Nagbibigay sa iyo ng mas maraming features.

  • Safe Content filter: To ensure that your Google AdSense ads show only on those pages that seem to comply with Google AdSense policies, na maaaring maging mahalaga dahil maaaring mag-render ng ilang mga komento sa iyong hindi naaayon sa mga patakarang pahina.
  • IP filter: Ability to specify a list of computers where your ads will not be shown, upang maiwasan ang hindi sinasadyang pag-click sa iyong sariling mga ad -- isa sa mga pangunahing mga kadahilanan AdSense bans mo. These features will minimize your chance of getting banned.
  • Compatibility mode: To solve the issue of the ad insertion messing up your page appearances when using some themes.
  • Category/Post Control: Ability to suppress ads on specific categories, posts and pages.
  • Shortcode Support: Show the ads only on the pages or posts you want, and exactly where you want them.
  • Mobile Support: Ability to show different sets of ads on mobile devices, or to suppress ads.
  • Excerpts: Ability to show a configurable number of ads on Excerpts (na bumubuo sa home page sa ilang mga tema).
  • Option Sets: Multiple option sets can be defined and easily switched between.
  • Suspend Ads: Ability to temporarily suppress ad serving.
  • Admin Interface Themes: Multiple color schemes for the admin interface.
  • Ad Serving Statistics: Keep an eye on your ad serving statistics to make sure that Google is not shortchanging you. (Optional paid module)
  • Basic/Expert Modes: You can choose to operate it in basic or expert modes in addition to the standard mode.

The Ultra version costs $9.45 at maaaring maging binili online may download link instant.

Instalasyon

Searching

Ang pinakamadaling paraan upang i-install ang plugin na ito ay ang gamitin ang interface ng WordPress Admin. Pumunta sa iyong dashboard admin, hanapin ang "Social na Plugin" menu, at mag-click sa "Magdagdag ng Bagong". Search for this plugin and click on "I-install Ngayon" at sundin ang mga tagubilin WordPress.

Uploading

Kung nais mong i-download ito at mano-manong i-install, maaari mong muling gamitin ang dashboard interface ng WordPress. -Download muna ang plugin ng zip file sa iyong lokal na computer. Pagkatapos ay pumunta sa iyong dashboard admin, hanapin ang "Social na Plugin" menu, at mag-click sa "Magdagdag ng Bagong". Pagkatapos ng pag-click sa "Magdagdag ng Bagong" menu item na tulad ng nasa itaas, mag-click sa "Mag-upload ng" (sa ibaba ng pamagat "I-install ang Plugin" malapit sa tuktok). Mag-browse para sa iyong nai-download ang zip file, -upload ito at i-activate ang plugin.

Paggamit Plugin Interface

Further updates (and Pro upgrades and module installations) to the plugin can be done easily from the plugin admin page itself, sa pamamagitan ng pag-click sa Update pindutan sa itaas na kanang sulok.

Upang i-install ang mga propesyonal na bersyon ng plugin, mangyaring deactivage ang bersyon Lite (kung mayroon man) una. Pagkatapos ay i-upload ang zip file na iyong download pagkatapos ang iyong pagbili gamit ang WordPress admin interface na ipinapakita sa ibaba.

[install]

Ang plugin ay -update din sa pamamagitan ng mga sumusunod na ang parehong proseso, mas mabuti mula sa pahina ng admin ng plugin kung saan makikita mo ang isang form file na na-upload kapag ang isang pag-update ay handa na. Ang unang update para sa iyong binili plugin ay palaging libre.

Mga screenshot

  1. Mga Ad EZ Plugin para sa Google AdSense "Pangkalahatang-ideya ng" tab. & nbsp; & nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 1
  2. How to set the options for Ads EZ Plugin for Google AdSense.  Screenshot [ads-ez-plugin-for-google-adsense] 2
  3. Advanced configuration of the plugin.  Screenshot [ads-ez-plugin-for-google-adsense] 3
  4. Options to support safety, compatibility, mobile devices and category/post control.  Screenshot [ads-ez-plugin-for-google-adsense] 4

Baguhin ang Log

  • V4.20: Kaangkupan sa WP4.8,,en,Sunset edition,,en. Sunset edition. [Agosto 1, 2017]
  • V4.10: Compatibility with WP4.6. Many accumulated fixes and changes. Releasing the sunset version. [Oktubre 12, 2016]
  • V4.00: Compatibility with WP4.5. [Abril 12, 2016]
  • V3.98: Improvements in the Google Translator interface. Compatibility with multisite installaton of subdomain type. [Pebrero 28, 2016]
  • V3.97: Minor interface and documentation changes. [Pebrero 25, 2016]
  • V3.95: Work-around for servers that refuse to save ad code because of the script tag. [Pebrero 18, 2016]
  • V3.94: Restricting ang Google Translate na hindi isalin user-e-edit na mga string. Ang pag-optimize ng mga screenshot. [Pebrero 7, 2016]
  • V3.94: Ensuring widget titles can be suppressed in Easy AdSense. [Jan 27, 2016]
  • V3.93: Pagdaragdag diagnostic impormasyon sa pahina ng pag-update. [Jan 20, 2016]
  • V3.92: Mga pagbabago sa gawin ang mga plugin katugma sa multisite gusali. [Jan 14, 2016]
  • V3.91: Pagdaragdag ng isang dev-friendly isama upang ipakilala lokal na mga setting, kung mayroon man. [Disyembre 30, 2015]
  • V3.90: Compatibility with WordPress 4.4. [Disyembre 5, 2015]
  • V3.82: Paggawa ng mga admin menu dynamic (optionally) sa standalone mode. Pagpapabuti DB layer error handling. [Nobyembre 29, 2015]
  • V3.81: Babala tungkol sa PHP V5.4 requirement sa pahina ng admin. [Nobyembre 8, 2015]
  • V3.80: Mga pahina Admin sa iyong wika gamit translation Google. [Oktubre 22, 2015]
  • V3.73: Pinapalitan ang pangalan ng Mobile_Detect klase para sa compatibility. [Oktubre 14, 2015]
  • V3.72: Pagpapabuti ng ang bilis ng pagkarga ng pahina admin. [Septiyembre 30, 2015]
  • V3.71: Pagpatay ng pagpipilian upang payagan update checks. [Septiyembre 26, 2015]
  • V3.70: Mga pagbabago upang gumawa ng trabaho ang mga plugin sa nginx at Microsoft server. [Septiyembre 20, 2015]
  • V3.64: Pagtitiyak sa usability sa mga aparatong touch-screen. [Septiyembre 17, 2015]
  • V3.63: Reinstating ang pagpipilian upang pilitin ang loading page admin, lumipat sa isang mas makulay na default na tema. [Septiyembre 14, 2015]
  • V3.62: Minor mga pagbabago refactoring. [Septiyembre 12, 2015]
  • V3.61: Pagdaragdag sa mga nawawalang EzPlugin.php.[Septiyembre 9, 2015]
  • V3.60: Inaalis WP loading core file. [Septiyembre 4, 2015]
  • V3.52: Pag-aayos ng isang menor de edad error sa text-wrapping sa paligid sa ilalim ad. [Agosto 20, 2015]
  • V3.51: Pagtitiyak plugin file admin ma-load sa isang iFrame. [Agosto 19, 2015]
  • V3.50: Compatibility with WordPress 4.3. [Agosto 10, 2015]
  • V3.42: Pag-aayos ng "Database Palitan / Insert Error" na nakaapekto sa ilang mga server. [Agosto 8, 2015]
  • V3.41: Ang pag-aayos ng bug sa mobile detection. [Agosto 1, 2015]
  • V3.40: Ang plugin ay ngayon Naaalala ang huling ginamit tab. SQL baguhin schema para sa mas mahusay na compatibility. Ang pag-aayos ng bug na maaaring naging sanhi ng plugin na hindi ipakita ang mga ad sa ilang mga pahina / post. Bagong opsyon upang makontrol ang posisyon ng mid-text ad sa pro bersyon. [Pasko 30, 2015]
  • V3.35: Minor na mga pagpapabuti sa pag-setup, plugin aktibo check status at AJAX function. [Pasko 26, 2015]
  • V3.34: Minor mga pagbabago sa mga link. [Jun 25, 2015]
  • V3.33: Pagbabago Documentation lamang. [Jun 18, 2015]
  • V3.32: Pagpapabuti page Admin. [Mayo 22, 2015]
  • V3.31: Admin page compatibility checks and improvements. [Mayo 12, 2015]
  • V3.30: Compatibility with WordPress 4.2. [Abril 25, 2015]
  • V3.23: Inihahanda ang codebase para sa pagpapalabas ng AJAX AdSense. [Abril 17, 2015]
  • V3.22: Improvements in the admin dashboard. [Abril 14, 2015]
  • V3.21: Improvements in the admin dashboard. [Abril 14, 2015]
  • V3.20: Launching a demo site. [Abril 11, 2015]
  • V3.19: More changes in the compatibility check. [Abril 7, 2015]
  • V3.18: Fixing a style that may have caused the admin page not to appear on some blogs. [Abril 4, 2014]
  • V3.17: More compatibility checks. [Abril 2, 2015]
  • V3.16: Minor pag-aayos. [Magpapangit 27, 2015]
  • V3.15: Ang pag-aayos ng bug na pumigil sa mga custom na field mula sa gumagana nang maayos. [Magpapangit 26, 2015]
  • V3.14: Minor bug fix sa ad panunupil habang wala sa loop. [Magpapangit 25, 2015]
  • V3.13: Adding error handling for updates. [Magpapangit 24, 2015]
  • V3.12: Seryosong bug fix na may kaugnayan sa maramihang mga pumasa sa mga content filter. Ipinapakilala ang isang option kaliguyan. [Magpapangit 22, 2015]
  • V3.11: Menor-aayos ng bug, at pagdaragdag ng diagnostic komento. [Magpapangit 21, 2015]
  • V3.10: Ito twitter-bootstrap bersyon ng plugin ay nagtatampok-complete ngayon. [Magpapangit 19, 2015]
  • V3.09: Pagdaragdag ng impormasyon tungkol sa kung paano babalik sa non-AJAX bersyon ng plugin. [Magpapangit 16, 2015]
  • V3.08: Documentation at usability pagpapahusay. [Magpapangit 13, 2015]
  • V3.07: Documentation at usability pagpapahusay. [Magpapangit 11, 2015]
  • V3.06: More changes for compatibility with PHP5.30. [Magpapangit 11, 2015]
  • V3.04: Improvements in the login check functions. Iba't-ibang mga pag-aayos naipon. [Magpapangit 9, 2015]
  • V3.03: Pagpatay anonymous pag-andar para sa pagiging tugma sa mga bersyon ng PHP na mas luma sa 5.3. [Magpapangit 8, 2015]
  • V3.02: Mga pagbabago sa pagpapatunay activation checks. [Magpapangit 7, 2015]
  • V3.01: Modifications to the update module. Minor code clean up. [Magpapangit 5, 2015]
  • V3.00: Kumpletuhin ang pagsulat na muli ng mga plugin na may maraming iba pang mga tampok. Page Admin batay sa twitter bootstrap framework. [Magpapangit 3, 2015]
  • V2.50: Compatibility with WP4.1. [Jan 8, 2015]
  • V2.40: Pinapalitan ang pangalan ng plugin tulad ng hiniling sa pamamagitan ng Google. [Nobyembre 30, 2014]
  • V2.30: Ang awtomatikong mga pagpipilian sa paglipat sa pag-activate ng plugin. [Septiyembre 26, 2014]
  • V2.22: Minor change to the admin interface. [Septiyembre 9, 2011]
  • V2.21: Kaangkupan sa WP4.0. [Septiyembre 8, 2014]
  • V2.20: Kaangkupan sa WP4.0. [Septiyembre 7, 2014]
  • V2.12: Ina-update ang pagsasalin, menor-aayos ng bug. [Pasko 17, 2014]
  • V2.11: Minor bug fix. [Mayo 8, 2014]
  • V2.10: Internationalize at sa pagiging tugma sa WP3.9. [Mayo 7, 2014]
  • V2.00: Major changes to the design -- adding a translation interface, getting ready to change options handling. [Magpapangit 22, 2014]
  • V1.81: Adding options to suppress ads on sticky front page or search pages. [Jan 5, 2013]
  • V1.80: Mga pagsusuri sa Kakayahan para sa WordPress V3.8. Bug fixes in options migration. [Disyembre 18, 2013]
  • V1.70: Compatibility checks for WordPress V3.7. [Nobyembre 11, 2013]
  • V1.60: Kaangkupan sa WP3.6. [Agosto 10, 2013]
  • V1.50: Adding an admin page translator. [Mayo 22, 2013]
  • V1.46: -Aayos ng bug (Malalang error: Tumawag-time na pumasa-by-reference ay inalis). [Jan 24, 2013]
  • V1.45: Bug fix. [Disyembre 22, 2012]
  • V1.44: Enforcing the Google policy on the number of ads, and making the pub-id entry flexible. [Nobyembre 4, 2012]
  • V1.43: Minor changes to validate the readme.txt. [Oktubre 21, 2012]
  • V1.42: Minor changes to validate the readme.txt. [Oktubre 21, 2012]
  • V1.41: Initial public release of the lite version. [Oktubre 21, 2012]
  • V1.40: Admin interface modifications. [Septiyembre 30, 2012]
  • V1.31: Sinisigurado ng ilang mga abiso ng pag-debug mula sa WordPress-debug mode. [Agosto 28, 2012]
  • V1.30: Initial public listing at WordPress.org. [Hulyo 18, 2012]
  • V1.20: -Aayos ng bug, pagpapabuti coding. [Septiyembre 9, 2011]
  • V1.00: Paunang release. [Nobyembre 15, 2010]

Mga Madalas Itanong

Paano ko makokontrol ang hitsura ng bloke ng ad gamit ang CSS?

Lahat <div>s that Ads EZ Plugin for Google AdSense creates have the class attribute adsense. At saka, mayroon silang klase mga katangian tulad ng adsense-top, adsense-bottom atbp, Maaari mong itakda ang estilo para sa mga klase sa iyong tema style.css upang makontrol ang kanilang mga hitsura.

Maaari ko bang kontrolin kung paano ang mga bloke ng ad ay naka-format sa bawat pahina?

Oo! In Ads EZ Plugin for Google AdSense, mayroon kang higit pang mga pagpipilian [sa pamamagitan ng custom na field] upang makontrol ang block ng ad sa indibidwal na mga post / pahina. Magdagdag ng custom na field gamit ang mga key tulad ng adsense-top, adsense-middle, adsense-bottom at may halaga tulad ng kaliwa, karapatan, gitna o hindi upang magkaroon ng kontrol sa kung paano lalabas ang block ng ad sa bawat post o pahina. Ang halaga "hindi" suppresses ang lahat ng mga bloke ng ad sa mga post o pahina para sa provider na.

Paano ko gagamitin ang mga shortcode?

Sa Pro bersyon ng plugin, maaari mong kontrolin ang mga placement ng ad gamit ang shortcode [adsense] sa iyong mga post at mga pahina ng blog. Kung nais mong ilagay ang iyong mga ad gamit ang mga shortcode, mangyaring paganahin ang mga ito sa pahina ng Pro.

By default, tanging ang mga ad na tinukoy ng shortcode ay ipapakita (kapag shortcode ay pinagana). Maaari mong tukuyin kung paano ang mga plugin humahawak priority shortcode sa paggamit ng drop-down na menu. Mayroon kang mga pagpipiliang ito:

  • Gawin auto placement kung shortcode ay nawawala
  • Huwag ilagay ang anumang mga ad kung shortcode ay nawawala
  • Laging balewalain shortcode at gawin lamang ang auto placement
  • Huwag ilagay ang anumang mga ad sa mga post / pahina

Ang huling pagpipilian epektibong pinapagana ang plugin para sa katawan ng mga post at mga pahina, leaving the widgets unaffected.

Hindi ko maintindihan ang mga tampok ng Pro. Porn and site block - hindi maaari mong itakda ang mga panahon Asdense setup ad?

What you have in AdSense is an ability to block ads from certain sites. Halimbawa, if you don't like ads mula sa my site "thulasidas.com", you can block them. What the pro version gives you is the ability to block ads upang certain clients. Iyon ay, if you don't want visitors from certain IP addresses see your ads (because they may click on too many of them, getting your AdSense account banned, halimbawa), you can with my plugin.

Porn block also is similar -- Google lets you choose non-porn ads (Sa tingin ko). What my plugin does is to look at the content of your page, and block ads if it looks like a porn page. (This can happen if a spammer posts a porn kind of comment on your blog, which again may get your AdSense account banned.)

Paano ako mag-ulat ng bug o magtanong?

Paki-ulat ng anumang mga problema, at ibahagi ang iyong mga saloobin at mga komento sa forum ang plugin sa WordPress O makipag-ugnay sa akin.

Kung mayroon kang tanong o komento tungkol sa Pro na bersyon, mangyaring huwag gamitin ang forum na naka-host sa WordPress.org, ngunit makipag-ugnay sa may-akda ng plugin gamit ang aming suporta sa portal.

Maaari ba akong bumalik sa nakaraang bersyon ng plugin? Hindi ko gusto ang mga modernong bootstrap / interface AJAX.

Maaari mong i-download ang nakaraang bersyon at i-install ito. Unang deactivate at tanggalin ang pinakabagong bersyon ng plugin, at pagkatapos ay sundin ang mga Uploading Ang pamamaraan sa ilalim ng Instalasyon seksyon ng dokumentong ito. Ginagamit ng mga bagong bersyon ng isang ganap na iba't ibang mga pagpipilian modelo, at ang iyong lumang mga pagpipilian ay kaliwa buo sa iyong database, sa gayon ay maaari kang bumalik anumang oras.

Why do I get error message saying something about direct access to plugin files?

This plugin admin interface is designed with a loosely coupled architecture, which means it interacts with the WordPress core only for certain essential services (login check, plugin activation status, database access etc). Loosely coupled systems tend to be more robust and flexible than tightly integrated ones because they make fewer assumptions about each other. My plugin admin pages are fairly independent, and do not pollute the global scope or leak the style directives or JavaScript functions. In order to achieve this, they are loaded in iFrames within the WordPress admin interface.

Your web server needs direct access to the plugin files to load anything in an iFrame. Some aggressive security settings block this kind of access, usually through an .htaccess file in your wp-content o plugins folders, which is why this plugin gives a corresponding error message if it detects inability to access the files (checked through a file_get_contents call on a plugin file URL). But some systems implement further blocks specifically on file_get_contents or on iFrames with specific styles (paggamit mod_securty rules, halimbawa), which is why the plugin provides a means to override this auto-detection and force the admin page.

Is the direct access to plugin files a security hole?

Note that it is only your own webserver that needs direct access to the PHP files. The reason for preventing such access is that a hacker might be able to upload a malicious PHP (or other executable script) to your web host, which your webserver will run if asked to. Such a concern is valid only on systems where you explicitly permit unchecked file uploads. Halimbawa, if anyone can upload any file to your media folder, and your media folder is not protected against direct access and script execution, you have given the potential hacker an attack vector. Plugin na ito ay walang mga pasilidad sa pag-upload, kaya na nagpapahintulot sa iyong webserver upang maghatid ng mga file admin plugin sa isang iFrame ay lubos na ligtas, in my judgement.

WP-Plus

WP PlusIto at iba pang mga plugin maaaring i-install at pinamamahalaan ng walang putol gamit WP-Pa -- ang susunod na henerasyon ng WordPress, na binuo para sa propesyonal na blogger na humingi ng propesyonal na mga plugin at mga tema. Kung ikaw ay nag-develop propesyonal isang plugin o isang blogger (isa na inaasahan upang gumawa ng living out sa pag-blog o developement na may kaugnayan sa blog), huwag suriin ito!
Tingnan din:& Nbsp; & nbsp;Iba pang mga plugin
Kung gusto mo ang aking mga pagsusumikap plugin, mangyaring mag-iwan ng komento gamit ang iyong pag-login sa ibaba Facebook.
Kung kailangan mo ng tulong, pakigamit ang aming suporta portal sa halip. & Nbsp;ezSupport Portal
[Buong kapurihan nagdala sa iyo sa pamamagitan ng EZ MagbayadPal.]

Mga Komento